Help ! 请帮我看看,我不能更新了,因为装了Grub-customizer, 我想卸载掉他,求解,谢谢了!

为当前最终发行版之前的所有版本提供支持
回复
半根烟
帖子: 4
注册时间: 2010-12-19 17:55
送出感谢: 0
接收感谢: 0

Help ! 请帮我看看,我不能更新了,因为装了Grub-customizer, 我想卸载掉他,求解,谢谢了!

#1

帖子 半根烟 » 2010-12-19 18:03

Start package manager如下

Could not initialize the package information

An unresolvable problem occurred while initializing the package information.

Please report this bug against the 'update-manager' package and include the following error message:

'E:Type 'unchpad.net/danielrichter2007/grub-customizer/ubuntu' is not known on line 1 in source list /etc/apt/sources.list.d/danielrichter2007-grub-customizer-maverick.list'

start package manager 如下:

E: Type 'unchpad.net/danielrichter2007/grub-customizer/ubuntu' is not known on line 1 in source list /etc/apt/sources.list.d/danielrichter2007-grub-customizer-maverick.list
E: The list of sources could not be read.
Go to the repository dialog to correct the problem.
E: _cache->open() failed, please report.
头像
astolia
论坛版主
帖子: 3156
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 528 次

Re: Help ! 请帮我看看,我不能更新了,因为装了Grub-customizer, 我想卸载掉他,求解,谢谢了!

#2

帖子 astolia » 2010-12-19 19:12

估计你是用vi编辑/etc/apt/sources.list.d/danielrichter2007-grub-customizer-maverick.list时没弄好,把这个文件删掉就可以了
半根烟
帖子: 4
注册时间: 2010-12-19 17:55
送出感谢: 0
接收感谢: 0

Re: Help ! 请帮我看看,我不能更新了,因为装了Grub-customizer, 我想卸载掉他,求解,谢谢了!

#3

帖子 半根烟 » 2010-12-19 19:32

确实,我在安装apt add repository 后,应该是 apt-get update ,结果不成功,我就直接 install 了。后来就出现了不能更新,不能打开software centre . 后来我就copy 了代码 ,想把这个源删掉。所有的源我都删掉了,还是没结果。我确实是菜鸟,不懂乱弄,给自己找了麻烦。后悔之。待我找到办法再回复。谢谢。
半根烟
帖子: 4
注册时间: 2010-12-19 17:55
送出感谢: 0
接收感谢: 0

Re: Help ! 请帮我看看,我不能更新了,因为装了Grub-customizer, 我想卸载掉他,求解,谢谢了!

#4

帖子 半根烟 » 2010-12-19 20:00

有直接明了的办法告诉我下,具体问题如下:

Distribution: Ubuntu 10.10 maverick
Application: Ubuntu Tweak 0.5.8
Desktop: gnome

Traceback (most recent call last):
File "/usr/lib/python2.6/dist-packages/ubuntutweak/mainwindow.py", line 425, in setup_notebook
page = module()
File "/usr/lib/python2.6/dist-packages/ubuntutweak/modules/updatemanager.py", line 44, in __init__
self.update_list()
File "/usr/lib/python2.6/dist-packages/ubuntutweak/modules/updatemanager.py", line 59, in update_list
PACKAGE_WORKER.update_apt_cache(init=True)
File "/usr/lib/python2.6/dist-packages/ubuntutweak/common/package.py", line 216, in update_apt_cache
self.cache = apt.Cache()
File "/usr/lib/python2.6/dist-packages/apt/cache.py", line 88, in __init__
self.open(progress)
File "/usr/lib/python2.6/dist-packages/apt/cache.py", line 130, in open
self._list.read_main_list()
SystemError: E:Type 'unchpad.net/danielrichter2007/grub-customizer/ubuntu' is not known on line 1 in source list /etc/apt/sources.list.d/danielrichter2007-grub-customizer-maverick.list
半根烟
帖子: 4
注册时间: 2010-12-19 17:55
送出感谢: 0
接收感谢: 0

Re: Help ! 请帮我看看,我不能更新了,因为装了Grub-customizer, 我想卸载掉他,求解,谢谢了!

#5

帖子 半根烟 » 2010-12-19 20:39

谢谢你 ,我解决了。删除了。
回复

回到 “老旧版本支持”